Package org.apache.sling.distribution.journal.metrics

# Class DefaultTag

java.lang.Object
org.apache.sling.distribution.journal.metrics.DefaultTag

All Implemented Interfaces:
  `Comparable<Tag>`, `Tag`

public class DefaultTag extends Object implements Tag

## Constructor Summary

Constructors
Constructor
Description
`DefaultTag(String key, String value)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getKey()`
`String`
`getValue()`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.sling.distribution.journal.metrics.Tag

`compareTo`

## Constructor Details

### DefaultTag

public DefaultTag(String key, String value)

## Method Details

### getKey

public String getKey()

Specified by:
  `getKey` in interface `Tag`

### getValue

public String getValue()

Specified by:
  `getValue` in interface `Tag`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`